SimpleCollectionAggregator (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.inbound.SimpleCollectionAggregator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.inbound
Class SimpleCollectionAggregator

    java.lang.Object
      org.mule.routing.AbstractRouter
          org.mule.routing.inbound.SelectiveConsumer
              org.mule.routing.inbound.AbstractEventAggregator
                  org.mule.routing.inbound.SimpleCollectionAggregator

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, InboundRouter, Router

    public class SimpleCollectionAggregator

extends AbstractEventAggregator

This router will return all aggregated events as a `MuleMessageCollection`. This allows the service itself to act upon the events rather that the user having to write a custom aggregator. This may feel more natural for some users.

Field Summary

Fields inherited from class org.mule.routing.inbound.AbstractEventAggregator
`eventCorrelator`

Fields inherited from class org.mule.routing.inbound.SelectiveConsumer
`logger`

Fields inherited from class org.mule.routing.AbstractRouter
`muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SimpleCollectionAggregator()`

Method Summary
`protected EventCorrelatorCallback` | `getCorrelatorCallback()`

Methods inherited from class org.mule.routing.inbound.AbstractEventAggregator
`getTimeout, initialise, isFailOnTimeout, process, setFailOnTimeout, setTimeout`

Methods inherited from class org.mule.routing.inbound.SelectiveConsumer
`getFilter, getMessageInfoMapping, isMatch, isTransformFirst, setFilter, setMessageInfoMapping, setTransformFirst`

Methods inherited from class org.mule.routing.AbstractRouter
`dispose, getMuleContext, getRouterStatistics, setMuleContext, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### SimpleCollectionAggregator

    public SimpleCollectionAggregator()

Method Detail

### getCorrelatorCallback

    protected EventCorrelatorCallback getCorrelatorCallback()

  Specified by:
    `getCorrelatorCallback` in class `AbstractEventAggregator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.